Remove ability-to-remove-bureaucrat from en.wiktionary bureaucrats
Closed, ResolvedPublic

Description

Split from bug 42105 comment 7 for clarity.
Still unconfirmed, no local consensus provided (the link provided so far gives only links to test-discussions with a handful users).


Version: unspecified
Severity: enhancement
URL: https://en.wiktionary.org/wiki/Wiktionary:Grease_pit/2012/November#Bureaucrats_and_sysops_right_configuration_change

bzimport set Reference to bz42113.
Nemo_bis created this task.Via LegacyNov 14 2012, 10:47 PM
Nemo_bis added a comment.Via ConduitNov 26 2012, 9:35 PM

There's still no link to a discussion finding consensus on this; a local user is very sure one exists, I'll ask him to add it.

bzimport added a comment.Via ConduitJan 3 2013, 10:59 AM

ran.arigur wrote:

We've held a vote now:

http://en.wiktionary.org/wiki/Wiktionary:Votes/2012-11/Bureaucrats_and_de-privving

Conclusions:

  • Bureaucrats *should* be able to remove users from the "Administrators" group. Please do *not* change that.
  • Bureaucrats should *not* be able to remove users from the "Bureaucrats" group. Please *do* change that.

I have updated the bug summary accordingly.

Snowolf added a comment.Via ConduitJan 3 2013, 11:23 AM

That is very good news, thank you for holding that vote and discussion :)

Dereckson added a comment.Via ConduitJan 4 2013, 6:14 PM

Thank you for the consensus.

[ -shellpolicy +shell. Bug assigned to Gerrit change submitter. Bug resolved, change has been incorporated to Gerrit change 33390. For further tracking, please follow bug 42105. ]

TTO added a comment.Via ConduitJul 20 2013, 6:39 AM

This was never fixed, taking this up myself.

gerritbot added a comment.Via ConduitJul 20 2013, 6:47 AM

Change 74828 had a related patch set uploaded by TTO:
(bug 42113) remove ability to debureaucrat from enwiktionary bureaucrats

https://gerrit.wikimedia.org/r/74828

gerritbot added a comment.Via ConduitJul 23 2013, 2:56 PM

Change 74828 merged by jenkins-bot:
(bug 42113) remove ability to debureaucrat from enwiktionary bureaucrats

https://gerrit.wikimedia.org/r/74828

TTO added a comment.Via ConduitJul 24 2013, 12:44 AM

Done.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.